## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-pybv
Version:        0.7.6
Release:        %autorelease
Summary:        A lightweight I/O utility for the BrainVision data format

License:        BSD-3-Clause
URL:            https://pybv.readthedocs.io/en/stable/
# A filtered source archive, obtained by (see Source1):
#
#   ./get_source %%{version}
#
# is required because specification/ contains a PDF file,
# BrainVisionCoreDataFormat_1-0.pdf, with unclear license terms.
#
# The unfiltered base source URL would be:
#
# https://github.com/bids-standard/pybv/archive/v%%{version}/pybv-%%{version}.tar.gz
#
# We have asked upstream to stop distributing the specification/ directory in
# PyPI sdists: https://github.com/bids-standard/pybv/pull/106
#
# However, we still must package from GitHub if we want to run the tests, since
# the sdist does not contain tests.
Source0:        pybv-%{version}-filtered.tar.zst
Source1:        get_source

BuildSystem:            pyproject
BuildOption(install):   -l pybv

BuildArch:      noarch
ExcludeArch:    %{ix86}

BuildRequires:  python3-devel

# For tests; see the test extra, but it has linters, coverage tools, and other
# unwanted dev dependencies mixed in, so we list these manually.
BuildRequires:  %{py3_dist matplotlib}
BuildRequires:  %{py3_dist mne}
BuildRequires:  %{py3_dist pytest}

%global common_description %{expand:
pybv is a lightweight I/O utility for the BrainVision data format.

The BrainVision data format is a recommended data format for use in the Brain
Imaging Data Structure.}

%description %{common_description}


%package -n python3-pybv
Summary:        %{summary}

# The export extra was removed in 0.7.6 for Fedora 42; we can remove the
# following line after Fedora 44 reaches end-of-life.
Obsoletes:      python3-pybv+export < 0.7.6-1
# We stopped building PDF documentation for Fedora 42; we can remove the
# following line after Fedora 44 reaches end-of-life.
Obsoletes:      python-pybv-doc < 0.7.6-2

%description -n python3-pybv %{common_description}


%prep -a
# Patch out options for pytest-cov:
sed -r -i 's/--cov[^[:blank:]]+//g' pyproject.toml


%generate_buildrequires -p
export SETUPTOOLS_SCM_PRETEND_VERSION='%{version}'


%build -p
export SETUPTOOLS_SCM_PRETEND_VERSION='%{version}'


%check -a
PYTHONPATH="${PWD}" %pytest --ignore=docs


%files -n python3-pybv -f %{pyproject_files}
%doc CITATION.cff
%doc README.rst
%doc docs/changelog.rst


%changelog
## START: Generated by rpmautospec
* Tue Nov 26 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.7.6-4
- F41+: Use the provisional declarative buildsystem

* Tue Nov 26 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.7.6-2
- F42+: Stop building PDF documentation

* Tue Nov 26 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.7.6-1
- Update to 0.7.6 (close RHBZ#2328785)

* Thu Sep 05 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.7.5-9
- Rebuilt for Python 3.13 (fix RHBZ#2301199, fix RHBZ#2291853)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Apr 05 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.7.5-7
- Use zstd instead of xz for filtered source archive compression

* Fri Apr 05 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.7.5-6
- Improve reproducibility of the filtered source archive

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Dec 18 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.7.5-2
- Assert that %%pyproject_files contains a license file

* Mon Oct 02 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.7.5-1
- Update to 0.7.5

* Mon Oct 02 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.6.0-22
- Stop distributing the format specification PDF
- Its license terms are unclear, so we exclude it from the lookaside cache
  and the SRPM going forward.

* Mon Oct 02 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.6.0-21
- Build PDF documentation and add a -doc subpackage

* Mon Oct 02 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.6.0-20
- Update License to SPDX

* Mon Oct 02 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.6.0-19
- Improved build dependency generation

* Mon Oct 02 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.6.0-18
- Rely on the generated BR on mne; drop the manual one

* Mon Oct 02 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.6.0-17
- Remove unnecessary cruft from the prep section

* Mon Oct 02 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.6.0-16
- Package CITATION.cff as documentation

* Mon Oct 02 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.6.0-15
- Drop duplicate LICENSE file

* Mon Oct 02 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.6.0-11
- Update the description from upstream

* Mon Oct 02 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.6.0-10
- Replace deprecated mne.utils.requires_version
- Fix RHBZ#2226287, fix RHBZ#2220423

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Oct 24 2021 Aniket Pradhan <major AT fedoraproject DOT org> - 0.6.0-1
- Initial build

## END: Generated by rpmautospec
